API reference
Links
Send USDF by link.
POST/v1/links
Creates a claimable USDF link.
Auth: Session, not an API key: Authorization: Bearer <session token>. See Sign in.
No parameters.
POST /v1/links
curl
curl -X POST https://api.usdf.fi/v1/links \ -H "Authorization: Bearer $SESSION"
GET/v1/links/{token}
A link's amount and status.
Auth: None
| Name | Type | Required | Description |
|---|---|---|---|
token | string | Yes | Path. The link token. |
GET /v1/links/{token}
curl
curl https://api.usdf.fi/v1/links/{token}POST/v1/links/{token}/claim
Claims the link's USDF.
Auth: Session, not an API key: Authorization: Bearer <session token>. See Sign in.
| Name | Type | Required | Description |
|---|---|---|---|
token | string | Yes | Path. The link token. |
POST /v1/links/{token}/claim
curl
curl -X POST https://api.usdf.fi/v1/links/{token}/claim \
-H "Authorization: Bearer $SESSION"POST/v1/links/{id}/cancel
Cancels an unclaimed link.
Auth: Session, not an API key: Authorization: Bearer <session token>. See Sign in.
| Name | Type | Required | Description |
|---|---|---|---|
id | string | Yes | Path. The link id. |
POST /v1/links/{id}/cancel
curl
curl -X POST https://api.usdf.fi/v1/links/{id}/cancel \
-H "Authorization: Bearer $SESSION"Foundry documentation